Bulk deletes email files present in the quarantine for the given Email Security — Cloud message IDs.
POST https://<etp_instance_addr>/api/v1/quarantine/delete/
Required headers:
x-fireeye-api-key: <key>—Specifies your personal API key.
Content-Type: “application/json”—Content-type of the request body.
Request body:
{
"message_ids": ["message_ID1", "message_ID2"]
}Options
message_IDs—(array of strings) The message IDs corresponding to the
message_idfield in the individual documents of Quarantine Summary API.traffic_type—(inbound or outbound) Traffic type defaults to inbound. To handle outbound traffic, set the traffic_type parameter to outbound.
Example of inbound request
Values for ID and other fields are for illustration purposes only.
{
"message_ids": ["6B6C557623E5BACB5ed800716", "6B6C557623E5BACB5ed800717"]
}Example of outbound request
Values for ID and other fields are for illustration purposes only.
{
"traffic_type":"outbound",
"message_ids": ["1200174769D96A1065c72ece1", "A65003672D6953EF53100484e"]
}'Bulk delete quarantined email inbound response
Success:
{
"data": {
"type": "quarantine",
"operation": "delete",
"successful_message_ids": [
"6B6C557623E5BACB5ed800717",
"6B6C557623E5BACB5ed800716"
],
"failed_message_ids": []
},
"meta": {
"copyright": "Copyright 2019 Fireeye Inc"
}
}Error:
{
"data": {
"type": "quarantine",
"operation": "delete",
"successful_message_ids": [
"6B6C557623E5BACB5ed800717"
],
"failed_message_ids": [
"6B6C557623E5BACB5ed800716"
]
},
"meta": {
"copyright": "Copyright 2019 Fireeye Inc"
}
}Bulk delete quarantined email outbound response
{
"data": {
"type": "quarantine",
"operation": "delete",
"successful_message_ids": [
"1200174769D96A1065c72ece1",
"A65003672D6953EF53100484e"
],
"failed_message_ids": []
},
"meta": {
"copyright": "Copyright 2019 Fireeye Inc"
}
}cURL code example: bulk delete quarantined email
curl -X POST -H "Content-Type: application/json" -H "x-fireeye-api-key: xxxxxxxxxxxxxxxx" https://etp.us.fireeye.com/api/v1/quarantine/delete/ -d '
{
"message_ids": [
"6B6C557623E5BACB5ed800716",
"6B6C557623E5BACB5ed800717"
]
}
'This cURL sample includes the following options:
-X POST—This option changes the HTTP method to POST.-H "Content-Type: application/json"—This header specifies that the request body is sent to the server in JSON format.-H 'x-fireeye-api-key: xxxxxxxxxxxxxxx'—This header specifies your personal API key.https://etp.us.fireeye.com/v1/quarantine/delete/—The quarantine request URL. Replaceetp.us.fireeye.comwith the address of your Email Security — Cloud instance.-d '{ "message_ids": ["6B6C557623E5BACB5ed800716", "6B6C557623E5BACB5ed800717"] }'—Specifies the request parameters.